<?php
define('PROTECTOR', 1);

$headmod = 'alhimik';//фикс. места

$textl='Здание алхимии';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

switch($_GET[mod]){

default:
echo'<div class="m_bg">';
echo "Здание алхимии";
echo'</div>';
echo'<div class="m_bg">';
echo"В Здании Алхимии ты можешь обучиться изготовлению зелий, эликсиров , которые могут увеличить характеристики персонажа или могут быть проданы другим игрокам.</div>";


echo'<a href="himik.php?mod=gou">Изготовить зелье жизни</a><br/>';
echo'<a href="himik.php?mod=gou2">Изготовить зелье магии</a><br/>';

break;
case 'gou2':
if ($_GET[page] == "" || $_GET[page] < 0 || $_GET[page] == "0")
{
$_GET[page] = 0;
}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 5;
if($_GET[page] == "0")
{$i = 1;}
else{$i = ($_GET[page]*10)+1;}
$viso = mysql_num_rows(mysql_query("SELECT usr FROM  shems"));
$puslap = floor($viso/5);
$times = date("H:i");


$br = mysql_query("SELECT `name`,`kol`,`id`,`unknow` FROM shems WHERE usr = '$log' and `bonus`='2' ORDER BY id DESC LIMIT $num,5");
////////////////////////////
$avto=mysql_num_rows($br);
if($avto>=1){
While($mag = mysql_fetch_array($br))
{



echo"<a href=\"himik.php?mod=cre_info2&id=$mag[id]\">$mag[name]</a> ($mag[kol] штук)<br/>";

}


if ($_GET[page] > 0)
{
echo "<a href=\"himik.php?mod=gou2&page=$back\">< Назад</a>";
}

if($_GET[page] < $puslap || $_GET[page] == "" || $_GET[page] == 0)
{echo "<a href=\"himik.php?mod=gou2&page=$next\"> Далее ></a>";}

}else{
echo"У вас нет рецептов зелья магии!<br/>";

if ($_GET[page] > 0)
{
echo "<a href=\"himik.php?mod=gou2&page=$back\">< Назад</a>";
}
}


break;
case 'cre_info2':
$req = mysql_query("SELECT * FROM `Prof_himik` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"Для изготовления зелья нужна профессия (Алхимик)!";include($path.'files/down.php');
exit;}
$req = mysql_query("SELECT * FROM `shems` WHERE `usr` = '$log' and `bonus`='2' and`id`='".mysql_real_escape_string($_GET['id'])."'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка! Нет такого рецепта зелья магии!';
echo "<br/><a href=\"himik.php?\"> Вернуться</a><br>";

include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);

echo'Рецепт: <b>'.$mag['name'].'</b><br/>';
echo'Количество '.$mag['kol'].'<br/>';
echo'Требуются ингредиенты: <br/>';
$res=explode("|",$mag[nead_res]);
$kres=count($res);
$i=0;
$b=1;
while($b<=$kres){
$r=explode(",",$res[$i]);
$lat_name=$r[0];
$kol=$r[1];

$req = mysql_query("SELECT name FROM `mdrop` WHERE `lat_name`='$lat_name' LIMIT 1");
$reso = mysql_fetch_array($req);
echo"$reso[name] - $kol штук<br/>";
$i++;
$b++;
}
if($mag['unknow']=='1'){




echo'Зелье: '.$mag['name_item'].'<br/>';

echo"
<b>Характеристика</b><br/>
Восстанавливает магии: $mag[mp]<br/>
";
}

echo"<a href=\"himik.php?mod=cre_ok3&id=$mag[id]\">Изготовить зелье</a>";





break;
case 'cre_ok3':
$req = mysql_query("SELECT * FROM `Prof_himik` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"Для изготовления зелья нужна профессия (Алхимик)!";include($path.'files/down.php');
exit;}
$req = mysql_query("SELECT * FROM `shems` WHERE `usr` = '$log' and `bonus`='2' and`id`='".mysql_real_escape_string($_GET['id'])."'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка! Нет такого рецепта!';
echo "<br/> <a href=\"himik.php?\"> Вернуться</a>";

include($path.'files/down.php');

exit;
}
$mag = mysql_fetch_array($req);


$start=true;

$res=explode("|",$mag[nead_res]);
$kres=count($res)-1;
$i=0;
while($i<=$kres){
$r=explode(",",$res[$i]);
$lat_name=$r[0];
$kol=$r[1];

$req = mysql_query("SELECT `id` FROM `res` WHERE `usr`='$log' and `lat_name`='$lat_name' and `kol`>='$kol' LIMIT 1");
$avto=mysql_num_rows($req);
if($avto==0){
$start=false;
}
$i++;
}

if($start==true){
$res=explode("|",$mag[nead_res]);
$kres=count($res)-1;
$i=0;
while($i<=$kres){
$r=explode(",",$res[$i]);
$lat_name=$r[0];
$kol=$r[1];

$req = mysql_query("SELECT `kol` FROM `res` WHERE `usr`='$log' and `lat_name`='$lat_name' LIMIT 1");
$re = mysql_fetch_array($req);
if(($re[kol]-$kol)==0){
mysql_query("DELETE FROM `res` WHERE `usr`='$log' and `lat_name`='$lat_name' LIMIT 1");//чистим логи
}else{
$re[kol]=$re[kol]-$kol;
mysql_query("UPDATE `res` SET `kol` = '$re[kol]' WHERE `usr`='$log' and `lat_name`='$lat_name' LIMIT 1");
}

$i++;
}

mysql_query("INSERT INTO
        `res` SET
        `usr` = '$log',
        `name` = '$mag[name]',
        `lat_name` = '$mag[name]',
        `tip` = 'elexir',
        `what` = 'mp',
        `give` = '$mag[mp]',
        `kol` = '1',
        `cena` = '0'");


        if($mag['kol']=='1'){
        mysql_query("DELETE FROM `shems` WHERE `usr` = '$log' and `id`='".mysql_real_escape_string($_GET['id'])."'");
        }else{
        $mag['kol']--;
        mysql_query("UPDATE `shems` SET `kol` = '$mag[kol]' WHERE `usr` = '$log' and `id`='".mysql_real_escape_string($_GET['id'])."' LIMIT 1");
        }

        echo'Вы создали зелье жизни '.$mag['name_item'].'<br/>';

}else{
echo'Нет нужного количества ингредиентов!<br/>';
}
echo "<a href=\"himik.php?\"> Вернуться</a>";







break;
case 'gou':
if ($_GET[page] == "" || $_GET[page] < 0 || $_GET[page] == "0")
{
$_GET[page] = 0;
}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 5;
if($_GET[page] == "0")
{$i = 1;}
else{$i = ($_GET[page]*10)+1;}
$viso = mysql_num_rows(mysql_query("SELECT usr FROM  shems"));
$puslap = floor($viso/5);
$times = date("H:i");

$br = mysql_query("SELECT `name`,`kol`,`id`,`unknow` FROM shems WHERE usr = '$log' and `bonus`='1' ORDER BY id DESC LIMIT $num,5");
////////////////////////////
$avto=mysql_num_rows($br);
if($avto>=1){
While($mag = mysql_fetch_array($br))
{



echo"<a href=\"himik.php?mod=cre_info&id=$mag[id]\">$mag[name]</a> ($mag[kol] штук)<br/>";

}

if ($_GET[page] > 0)
{
echo "<a href=\"himik.php?mod=gou&page=$back\">< Назад</a>";
}

if($_GET[page] < $puslap || $_GET[page] == "" || $_GET[page] == 0)
{echo "<a href=\"himik.php?mod=gou&page=$next\"> Вперед ></a>";}
}else{
echo"У вас нет рецептов зелья жизни!<br/>";
if ($_GET[page] > 0)
{
echo "<a href=\"himik.php?mod=gou&page=$back\">< Назад</a>";
}
}


break;
case 'cre_info':
$req = mysql_query("SELECT * FROM `Prof_himik` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"Для изготовления зелья нужна профессия (Алхимик)!";include($path.'files/down.php');
exit;}
$req = mysql_query("SELECT * FROM `shems` WHERE `usr` = '$log' and `bonus`='1' and`id`='".mysql_real_escape_string($_GET['id'])."'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка! Нет такого рецепта зелье жизни!';

echo "<br/> <a href=\"himik.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);

echo'Рецепт: <b>'.$mag['name'].'</b><br/>';
echo'Количество '.$mag['kol'].'<br/>';
echo'Требуются ингредиенты: <br/>';
$res=explode("|",$mag[nead_res]);
$kres=count($res);
$i=0;
$b=1;
while($b<=$kres){
$r=explode(",",$res[$i]);
$lat_name=$r[0];
$kol=$r[1];

$req = mysql_query("SELECT name FROM `mdrop` WHERE `lat_name`='$lat_name' LIMIT 1");
$reso = mysql_fetch_array($req);
echo"$reso[name] - $kol штук<br/>";
$i++;
$b++;
}
if($mag['unknow']=='1'){




echo'Зелье: '.$mag['name_item'].'<br/>';

echo"
<b>Характеристика</b><br/>
Восстанавливает жизни: $mag[hp]<br/>
";
}

echo"<br/> <a href=\"himik.php?mod=cre_ok&id=$mag[id]\">Изготовить зелье</a>";





break;
case 'cre_ok':
$req = mysql_query("SELECT * FROM `Prof_himik` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"Для изготовления зелья нужна профессия (Алхимик)!";include($path.'files/down.php');
exit;}
$req = mysql_query("SELECT * FROM `shems` WHERE `usr` = '$log' and `bonus`='1' and`id`='".mysql_real_escape_string($_GET['id'])."'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка! Нет такого рецепта!';
echo "<br/> <a href=\"himik.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);


$start=true;

$res=explode("|",$mag[nead_res]);
$kres=count($res)-1;
$i=0;
while($i<=$kres){
$r=explode(",",$res[$i]);
$lat_name=$r[0];
$kol=$r[1];

$req = mysql_query("SELECT `id` FROM `res` WHERE `usr`='$log' and `lat_name`='$lat_name' and `kol`>='$kol' LIMIT 1");
$avto=mysql_num_rows($req);
if($avto==0){
$start=false;
}
$i++;
}

if($start==true){
$res=explode("|",$mag[nead_res]);
$kres=count($res)-1;
$i=0;
while($i<=$kres){
$r=explode(",",$res[$i]);
$lat_name=$r[0];
$kol=$r[1];

$req = mysql_query("SELECT `kol` FROM `res` WHERE `usr`='$log' and `lat_name`='$lat_name' LIMIT 1");
$re = mysql_fetch_array($req);
if(($re[kol]-$kol)==0){
mysql_query("DELETE FROM `res` WHERE `usr`='$log' and `lat_name`='$lat_name' LIMIT 1");//чистим логи
}else{
$re[kol]=$re[kol]-$kol;
mysql_query("UPDATE `res` SET `kol` = '$re[kol]' WHERE `usr`='$log' and `lat_name`='$lat_name' LIMIT 1");
}

$i++;
}

mysql_query("INSERT INTO
        `res` SET
        `usr` = '$log',
        `name` = '$mag[name]',
        `lat_name` = '$mag[name]',
        `tip` = 'elexir',
        `what` = 'hp',
        `give` = '$mag[hp]',
        `kol` = '1',
        `cena` = '0'");


        if($mag['kol']=='1'){
        mysql_query("DELETE FROM `shems` WHERE `usr` = '$log' and `id`='".mysql_real_escape_string($_GET['id'])."'");
        }else{
        $mag['kol']--;
        mysql_query("UPDATE `shems` SET `kol` = '$mag[kol]' WHERE `usr` = '$log' and `id`='".mysql_real_escape_string($_GET['id'])."' LIMIT 1");
        }

        echo'Вы создали зелье жизни '.$mag['name_item'].'<br/>';

}else{
echo'Нет нужного количества ингредиентов!<br/>';
}

echo "<a href=\"himik.php?\"> Вернуться</a>";



}
include($path.'files/down.php');
?>